unix {
  nodaemon
  interactive
  log /var/log/vpp/vpp.log
  full-coredump
  cli-listen /run/vpp/cli.sock
}

api-trace { on }
api-segment { gid pim }
socksvr { default }

memory {
  main-heap-size 1024M
  main-heap-page-size default-hugepage
}

statseg {
  size 128M
  per-node-counters on
}

cpu {
  main-core 0
  corelist-workers 1-3
}

buffers {
  buffers-per-numa 80000
  default data-size 2048
  page-size default-hugepage
}

statseg {
  per-node-counters on
}

dpdk {
  decimal-interface-names
  dev default { num-rx-queues 3 num-tx-queues 4 }
}

plugins {
  plugin dpdk_plugin.so { enable }
}
